Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners
Class ListenerTagNames

    java.lang.Object
      org.jboss.soa.esb.listeners.ListenerTagNames

    public class ListenerTagNames

extends java.lang.Object

Field Summary
`static java.lang.String` | `ACTION_CLASS_TAG`
`static java.lang.String` | `ACTION_ELEMENT_TAG`
`static java.lang.String` | `ACTION_PROPERTY_TAG`
`static java.lang.String` | `CBR_CLASS` RuleSet reference (Filename)
`static java.lang.String` | `DEPLOYMENT_NAME_TAG` Deployment
`static java.lang.String` | `DESTINATION_NAME_TAG` Routing
`static java.lang.String` | `DESTINATION_TYPE_TAG`
`static java.lang.String` | `END_TIME_TAG`
`static java.lang.String` | `EPR_DESCRIPTION_TAG`
`static java.lang.String` | `EPR_TAG` EPRs
`static java.lang.String` | `EXCEPTION_METHOD_TAG`
`static java.lang.String` | `FILE_ERROR_DIR_TAG`
`static java.lang.String` | `FILE_ERROR_SFX_TAG`
`static java.lang.String` | `FILE_INPUT_DIR_TAG` File Actions
`static java.lang.String` | `FILE_INPUT_SFX_TAG`
`static java.lang.String` | `FILE_POST_DEL_TAG`
`static java.lang.String` | `FILE_POST_DIR_TAG`
`static java.lang.String` | `FILE_POST_RENAME_TAG`
`static java.lang.String` | `FILE_POST_SFX_TAG`
`static java.lang.String` | `FILE_WORK_SFX_TAG`
`static java.lang.String` | `GATEWAY_CLASS_TAG`
`static java.lang.String` | `GATEWAY_COMPOSER_CLASS_TAG` Gateway Composer
`static java.lang.String` | `GATEWAY_COMPOSER_METHOD_TAG`
`static java.lang.String` | `GATEWAY_RESPONDER_METHOD_TAG`
`static java.lang.String` | `GATEWAY_WAIT_MILLIS_TAG`
`static java.lang.String` | `HIBERNATE_INTERCEPTOR_ID`
`static java.lang.String` | `HIBERNATE_INTERCEPTOR_NEWVALUES`
`static java.lang.String` | `HIBERNATE_INTERCEPTOR_OLDVALUES`
`static java.lang.String` | `HIBERNATE_INTERCEPTOR_PROPERTYNAMES`
`static java.lang.String` | `HIBERNATE_INTERCEPTOR_STATE`
`static java.lang.String` | `HIBERNATE_INTERCEPTOR_TYPES`
`static java.lang.String` | `HIBERNATE_OBJECT_DATA_TAG` Hibernate related
`static java.lang.String` | `HTTP_ROUTER_ROUTE_URL`
`static java.lang.String` | `IS_GATEWAY_TAG`
`static java.lang.String` | `LISTENER_CLASS_TAG` Listeners
`static java.lang.String` | `MAX_THREADS_TAG` Threading
`static java.lang.String` | `MEP_ATTRIBUTE_TAG` ActionProcessingPipeline
`static java.lang.String` | `MEP_ONE_WAY`
`static java.lang.String` | `MEP_REQUEST_RESPONSE`
`static java.lang.String` | `NORMAL_COMPLETION_METHOD_TAG`
`static java.lang.String` | `POLL_LATENCY_SECS_TAG` Poller tagnames
`static java.lang.String` | `PROCESS_METHOD_TAG`
`static java.lang.String` | `PROTOCOL_TAG`
`static java.lang.String` | `RELOAD_SECONDS_TAG`
`static java.lang.String` | `REMOVE_OLD_SERVICE`
`static java.lang.String` | `REPLY_LISTENER_TIMEOUT_TAG` Reply Listener
`static java.lang.String` | `REPLY_TO_EPR_TAG`
`static java.lang.String` | `ROLLBACK_ON_PIPELINE_FAULTS`
`static java.lang.String` | `RULE_LANGUAGE_TAG`
`static java.lang.String` | `RULE_RELOAD_TAG`
`static java.lang.String` | `RULE_SET_TAG`
`static java.lang.String` | `SERVICE_CATEGORY_NAME_TAG` Registry
`static java.lang.String` | `SERVICE_DESCRIPTION_TAG`
`static java.lang.String` | `SERVICE_NAME_TAG`
`static java.lang.String` | `SQL_IN_PROCESS_FIELD_TAG`
`static java.lang.String` | `SQL_IN_PROCESS_VALUES_TAG`
`static java.lang.String` | `SQL_KEY_FIELDS_TAG`
`static java.lang.String` | `SQL_ORDER_BY_TAG`
`static java.lang.String` | `SQL_POST_DEL_TAG`
`static java.lang.String` | `SQL_ROW_DATA_TAG` SQL related
`static java.lang.String` | `SQL_SELECT_FIELDS_TAG`
`static java.lang.String` | `SQL_TABLE_NAME_TAG`
`static java.lang.String` | `SQL_TIMESTAMP_TAG`
`static java.lang.String` | `SQL_WHERE_CONDITION_TAG`
`static java.lang.String` | `TARGET_SERVICE_CATEGORY_TAG` Gateways
`static java.lang.String` | `TARGET_SERVICE_NAME_TAG`
`static java.lang.String` | `TRANSACTED_TAG`
`static java.lang.String` | `URL_TAG`

Constructor Summary
`ListenerTagNames()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EPR_TAG

    public static final java.lang.String EPR_TAG

  EPRs

  See Also:
    Constant Field Values

### REPLY_TO_EPR_TAG

    public static final java.lang.String REPLY_TO_EPR_TAG

See Also:
  Constant Field Values

### URL_TAG

    public static final java.lang.String URL_TAG

See Also:
  Constant Field Values

### PROTOCOL_TAG

    public static final java.lang.String PROTOCOL_TAG

See Also:
  Constant Field Values

### MAX_THREADS_TAG

    public static final java.lang.String MAX_THREADS_TAG

  Threading

  See Also:
    Constant Field Values

### RELOAD_SECONDS_TAG

    public static final java.lang.String RELOAD_SECONDS_TAG

See Also:
  Constant Field Values

### END_TIME_TAG

    public static final java.lang.String END_TIME_TAG

See Also:
  Constant Field Values

### SERVICE_CATEGORY_NAME_TAG

    public static final java.lang.String SERVICE_CATEGORY_NAME_TAG

  Registry

  See Also:
    Constant Field Values

### SERVICE_NAME_TAG

    public static final java.lang.String SERVICE_NAME_TAG

See Also:
  Constant Field Values

### SERVICE_DESCRIPTION_TAG

    public static final java.lang.String SERVICE_DESCRIPTION_TAG

See Also:
  Constant Field Values

### EPR_DESCRIPTION_TAG

    public static final java.lang.String EPR_DESCRIPTION_TAG

See Also:
  Constant Field Values

### REMOVE_OLD_SERVICE

    public static final java.lang.String REMOVE_OLD_SERVICE

See Also:
  Constant Field Values

### TARGET_SERVICE_CATEGORY_TAG

    public static final java.lang.String TARGET_SERVICE_CATEGORY_TAG

  Gateways

  See Also:
    Constant Field Values

### TARGET_SERVICE_NAME_TAG

    public static final java.lang.String TARGET_SERVICE_NAME_TAG

See Also:
  Constant Field Values

### GATEWAY_CLASS_TAG

    public static final java.lang.String GATEWAY_CLASS_TAG

See Also:
  Constant Field Values

### IS_GATEWAY_TAG

    public static final java.lang.String IS_GATEWAY_TAG

See Also:
  Constant Field Values

### LISTENER_CLASS_TAG

    public static final java.lang.String LISTENER_CLASS_TAG

  Listeners

  See Also:
    Constant Field Values

### TRANSACTED_TAG

    public static final java.lang.String TRANSACTED_TAG

See Also:
  Constant Field Values

### ROLLBACK_ON_PIPELINE_FAULTS

    public static final java.lang.String ROLLBACK_ON_PIPELINE_FAULTS

See Also:
  Constant Field Values

### DEPLOYMENT_NAME_TAG

    public static final java.lang.String DEPLOYMENT_NAME_TAG

  Deployment

  See Also:
    Constant Field Values

### MEP_ATTRIBUTE_TAG

    public static final java.lang.String MEP_ATTRIBUTE_TAG

  ActionProcessingPipeline

  See Also:
    Constant Field Values

### ACTION_ELEMENT_TAG

    public static final java.lang.String ACTION_ELEMENT_TAG

See Also:
  Constant Field Values

### ACTION_CLASS_TAG

    public static final java.lang.String ACTION_CLASS_TAG

See Also:
  Constant Field Values

### PROCESS_METHOD_TAG

    public static final java.lang.String PROCESS_METHOD_TAG

See Also:
  Constant Field Values

### ACTION_PROPERTY_TAG

    public static final java.lang.String ACTION_PROPERTY_TAG

See Also:
  Constant Field Values

### NORMAL_COMPLETION_METHOD_TAG

    public static final java.lang.String NORMAL_COMPLETION_METHOD_TAG

See Also:
  Constant Field Values

### EXCEPTION_METHOD_TAG

    public static final java.lang.String EXCEPTION_METHOD_TAG

See Also:
  Constant Field Values

### HTTP_ROUTER_ROUTE_URL

    public static final java.lang.String HTTP_ROUTER_ROUTE_URL

See Also:
  Constant Field Values

### MEP_ONE_WAY

    public static final java.lang.String MEP_ONE_WAY

See Also:
  Constant Field Values

### MEP_REQUEST_RESPONSE

    public static final java.lang.String MEP_REQUEST_RESPONSE

See Also:
  Constant Field Values

### GATEWAY_COMPOSER_CLASS_TAG

    public static final java.lang.String GATEWAY_COMPOSER_CLASS_TAG

  Gateway Composer

  See Also:
    Constant Field Values

### GATEWAY_COMPOSER_METHOD_TAG

    public static final java.lang.String GATEWAY_COMPOSER_METHOD_TAG

See Also:
  Constant Field Values

### GATEWAY_RESPONDER_METHOD_TAG

    public static final java.lang.String GATEWAY_RESPONDER_METHOD_TAG

See Also:
  Constant Field Values

### GATEWAY_WAIT_MILLIS_TAG

    public static final java.lang.String GATEWAY_WAIT_MILLIS_TAG

See Also:
  Constant Field Values

### DESTINATION_NAME_TAG

    public static final java.lang.String DESTINATION_NAME_TAG

  Routing

  See Also:
    Constant Field Values

### DESTINATION_TYPE_TAG

    public static final java.lang.String DESTINATION_TYPE_TAG

See Also:
  Constant Field Values

### CBR_CLASS

    public static final java.lang.String CBR_CLASS

  RuleSet reference (Filename)

  See Also:
    Constant Field Values

### RULE_SET_TAG

    public static final java.lang.String RULE_SET_TAG

See Also:
  Constant Field Values

### RULE_LANGUAGE_TAG

    public static final java.lang.String RULE_LANGUAGE_TAG

See Also:
  Constant Field Values

### RULE_RELOAD_TAG

    public static final java.lang.String RULE_RELOAD_TAG

See Also:
  Constant Field Values

### POLL_LATENCY_SECS_TAG

    public static final java.lang.String POLL_LATENCY_SECS_TAG

  Poller tagnames

  See Also:
    Constant Field Values

### FILE_INPUT_DIR_TAG

    public static final java.lang.String FILE_INPUT_DIR_TAG

  File Actions

  See Also:
    Constant Field Values

### FILE_INPUT_SFX_TAG

    public static final java.lang.String FILE_INPUT_SFX_TAG

See Also:
  Constant Field Values

### FILE_WORK_SFX_TAG

    public static final java.lang.String FILE_WORK_SFX_TAG

See Also:
  Constant Field Values

### FILE_ERROR_DIR_TAG

    public static final java.lang.String FILE_ERROR_DIR_TAG

See Also:
  Constant Field Values

### FILE_ERROR_SFX_TAG

    public static final java.lang.String FILE_ERROR_SFX_TAG

See Also:
  Constant Field Values

### FILE_POST_DIR_TAG

    public static final java.lang.String FILE_POST_DIR_TAG

See Also:
  Constant Field Values

### FILE_POST_SFX_TAG

    public static final java.lang.String FILE_POST_SFX_TAG

See Also:
  Constant Field Values

### FILE_POST_DEL_TAG

    public static final java.lang.String FILE_POST_DEL_TAG

See Also:
  Constant Field Values

### FILE_POST_RENAME_TAG

    public static final java.lang.String FILE_POST_RENAME_TAG

See Also:
  Constant Field Values

### HIBERNATE_OBJECT_DATA_TAG

    public static final java.lang.String HIBERNATE_OBJECT_DATA_TAG

  Hibernate related

  See Also:
    Constant Field Values

### HIBERNATE_INTERCEPTOR_STATE

    public static final java.lang.String HIBERNATE_INTERCEPTOR_STATE

See Also:
  Constant Field Values

### HIBERNATE_INTERCEPTOR_ID

    public static final java.lang.String HIBERNATE_INTERCEPTOR_ID

See Also:
  Constant Field Values

### HIBERNATE_INTERCEPTOR_TYPES

    public static final java.lang.String HIBERNATE_INTERCEPTOR_TYPES

See Also:
  Constant Field Values

### HIBERNATE_INTERCEPTOR_NEWVALUES

    public static final java.lang.String HIBERNATE_INTERCEPTOR_NEWVALUES

See Also:
  Constant Field Values

### HIBERNATE_INTERCEPTOR_OLDVALUES

    public static final java.lang.String HIBERNATE_INTERCEPTOR_OLDVALUES

See Also:
  Constant Field Values

### HIBERNATE_INTERCEPTOR_PROPERTYNAMES

    public static final java.lang.String HIBERNATE_INTERCEPTOR_PROPERTYNAMES

See Also:
  Constant Field Values

### SQL_ROW_DATA_TAG

    public static final java.lang.String SQL_ROW_DATA_TAG

  SQL related

  See Also:
    Constant Field Values

### SQL_TABLE_NAME_TAG

    public static final java.lang.String SQL_TABLE_NAME_TAG

See Also:
  Constant Field Values

### SQL_SELECT_FIELDS_TAG

    public static final java.lang.String SQL_SELECT_FIELDS_TAG

See Also:
  Constant Field Values

### SQL_KEY_FIELDS_TAG

    public static final java.lang.String SQL_KEY_FIELDS_TAG

See Also:
  Constant Field Values

### SQL_IN_PROCESS_FIELD_TAG

    public static final java.lang.String SQL_IN_PROCESS_FIELD_TAG

See Also:
  Constant Field Values

### SQL_IN_PROCESS_VALUES_TAG

    public static final java.lang.String SQL_IN_PROCESS_VALUES_TAG

See Also:
  Constant Field Values

### SQL_WHERE_CONDITION_TAG

    public static final java.lang.String SQL_WHERE_CONDITION_TAG

See Also:
  Constant Field Values

### SQL_ORDER_BY_TAG

    public static final java.lang.String SQL_ORDER_BY_TAG

See Also:
  Constant Field Values

### SQL_POST_DEL_TAG

    public static final java.lang.String SQL_POST_DEL_TAG

See Also:
  Constant Field Values

### SQL_TIMESTAMP_TAG

    public static final java.lang.String SQL_TIMESTAMP_TAG

See Also:
  Constant Field Values

### REPLY_LISTENER_TIMEOUT_TAG

    public static final java.lang.String REPLY_LISTENER_TIMEOUT_TAG

  Reply Listener

  See Also:
    Constant Field Values

Constructor Detail

### ListenerTagNames

    public ListenerTagNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD